/**********************************************************************************
 * $URL: https://source.sakaiproject.org/svn/calendar/tags/calendar-2.9.0/calendar-impl/impl/src/java/org/sakaiproject/calendar/impl/RecurrenceInstance.java $
 * $Id: RecurrenceInstance.java 84220 2010-11-03 12:34:55Z david.horwitz@uct.ac.za $
 ***********************************************************************************
 *
 * Copyright (c) 2003, 2004, 2005, 2006, 2008 The Sakai Foundation
 *
 * Licensed under the Educational Community License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.osedu.org/licenses/ECL-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 **********************************************************************************/

package org.sakaiproject.calendar.impl;

import org.sakaiproject.time.api.TimeRange;

/**
* <p>RecurrenceInstance is one instance of a recurrence sequence, with the time range and sequence # of the instance.</p>
*/
public class RecurrenceInstance
{
	/** The time range of the instance. */
	protected TimeRange m_range = null;

	/** The sequence number (1 based) of the instance. */
	protected Integer m_sequence = null;

	/**
	* Construct.
	*/
	public RecurrenceInstance(TimeRange range, int sequence)
	{
		m_range = range;
		m_sequence = Integer.valueOf(sequence);

	}	// RecurrenceInstance

	/**
	* Access the time range.
	* @return the TimeRange.
	*/
	public TimeRange getRange()
	{
		return m_range;

	}	// getRange

	/**
	* Access the sequence number.
	* @return the sequence number.
	*/
	public Integer getSequence()
	{
		return m_sequence;

	}	// getSequence

}	// RecurrenceInstance



